<?php
use Illuminate\Http\Request;

// Load the bootstrap file that defines base classes like kernels and error handler
$app = require_once dirname(__DIR__, 2) . '/bootstrap/app.php';
// Create a request from server variables, and bind it to the container; optional

$app->instance('request', Request::capture());
app(Illuminate\Contracts\Http\Kernel::class)->bootstrap();

define('DEV_MODE', config('app.env') !== 'production');
define('ENVIRONMENT', config('app.env'));
define('SITE_NAME', config('app.name'));
define('SITE_URL', config('app.url'));
define('HTTPS_SITE_URL', config('app.url'));

return $app;
